From 1e76676eff1c57a7cab049c2e2e4ed0a65fa6a5b Mon Sep 17 00:00:00 2001
From: "Andrey M. Borodin" <x4mmm@night.local>
Date: Mon, 21 Aug 2023 11:35:57 +0300
Subject: [PATCH v5 3/3] Use cached random numbers in gen_random_uuid() too

---
 src/backend/utils/adt/uuid.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/adt/uuid.c b/src/backend/utils/adt/uuid.c
index a4e6349440..2b1d6aaae3 100644
--- a/src/backend/utils/adt/uuid.c
+++ b/src/backend/utils/adt/uuid.c
@@ -428,7 +428,7 @@ gen_random_uuid(PG_FUNCTION_ARGS)
 {
 	pg_uuid_t  *uuid = palloc(UUID_LEN);
 
-	if (!pg_strong_random(uuid, UUID_LEN))
+	if (!cached_strong_random(uuid, UUID_LEN))
 		ereport(ERROR,
 				(errcode(ERRCODE_INTERNAL_ERROR),
 				 errmsg("could not generate random values")));
-- 
2.37.1 (Apple Git-137.1)

